be.ehealth.businessconnector.ehbox.api.domain

## Class Message<T>

- java.lang.Object
- - be.ehealth.businessconnector.ehbox.api.domain.Message<T>

- Type Parameters:
    `T` -
  All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AcknowledgeMessage, DocumentMessage, ErrorMessage

      public abstract class Message<T>
      extends Object
      implements Serializable

  Message class declaration.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Message()` Create a message with a new publicationId.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generatePublicationId()` used to generate a defaultId.
    `Map<String,String>` | `getCustomMetas()`
    `List<Addressee>` | `getDestinations()`
    `Date` | `getExpirationDate()` Deprecated.
    `org.joda.time.DateTime` | `getExpirationDateTime()`
    `String` | `getId()`
    `Addressee` | `getMandatee()` Deprecated.
    `T` | `getOriginal()`
    `Date` | `getPublicationDate()` Deprecated.
    `org.joda.time.DateTime` | `getPublicationDateTime()`
    `String` | `getPublicationId()`
    `Addressee` | `getSender()`
    `String` | `getSize()`
    `boolean` | `isEncrypted()`
    `boolean` | `isHasAnnex()`
    `boolean` | `isHasFreeInformations()`
    `boolean` | `isImportant()`
    `boolean` | `isUsePublicationReceipt()`
    `boolean` | `isUseReadReceipt()`
    `boolean` | `isUseReceivedReceipt()`
    `void` | `setDestinations(List<Addressee> destinations)`
    `void` | `setEncrypted(boolean encrypted)`
    `void` | `setExpirationDate(Date expirationDate)` Deprecated.
    `void` | `setExpirationDateTime(org.joda.time.DateTime expirationDate)`
    `void` | `setHasAnnex(boolean hasAnnex)`
    `void` | `setHasFreeInformations(boolean hasFreeInformations)`
    `void` | `setId(String id)`
    `void` | `setImportant(boolean important)`
    `void` | `setMandatee(Addressee mandatee)` Deprecated.
    `void` | `setOriginal(T original)`
    `void` | `setPublicationDate(Date publicationDate)` Deprecated.
    `void` | `setPublicationDateTime(org.joda.time.DateTime publicationDate)`
    `void` | `setPublicationId(String id)`
    `void` | `setSender(Addressee sender)`
    `void` | `setSize(String size)`
    `void` | `setUsePublicationReceipt(boolean usePublicationReceipt)`
    `void` | `setUseReadReceipt(boolean useReadReceipt)`
    `void` | `setUseReceivedReceipt(boolean useReceivedReceipt)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Message

          public Message()

      Create a message with a new publicationId.

  - ### Method Detail

    - #### getId

          public String getId()

      Returns:
        the id

    - #### setId

          public void setId(String id)

      Parameters:
        `id` - the id to set

    - #### getPublicationId

          public final String getPublicationId()

      Returns:
        the publicationId

    - #### generatePublicationId

          public final void generatePublicationId()

      used to generate a defaultId.

    - #### setPublicationId

          public final void setPublicationId(String id)

      Parameters:
        `id` - the id to set

    - #### getSender

          public final Addressee getSender()

      Returns:
        the sender

    - #### setSender

          public final void setSender(Addressee sender)

      Parameters:
        `sender` - the sender to set

    - #### getMandatee

          @Deprecated
          public final Addressee getMandatee()

      Deprecated.
      Returns:
        the mandatee

    - #### setMandatee

          @Deprecated
          public final void setMandatee(Addressee mandatee)

      Deprecated.
      Parameters:
        `mandatee` - the mandatee to set

    - #### getDestinations

          public final List<Addressee> getDestinations()

      Returns:
        the destinations

    - #### setDestinations

          public final void setDestinations(List<Addressee> destinations)

      Parameters:
        `destinations` - the destinations to set

    - #### isImportant

          public final boolean isImportant()

      Returns:
        the important

    - #### setImportant

          public final void setImportant(boolean important)

      Parameters:
        `important` - the important to set

    - #### isEncrypted

          public final boolean isEncrypted()

      Returns:
        the encrypted

    - #### setEncrypted

          public final void setEncrypted(boolean encrypted)

      Parameters:
        `encrypted` - the encrypted to set

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`
      See Also:
        `Object.toString()`

    - #### setOriginal

          public void setOriginal(T original)

      Parameters:
        `original` - the original to set

    - #### getOriginal

          public T getOriginal()

      Returns:
        the original GetMessageListResponseType.Message

    - #### setHasAnnex

          public final void setHasAnnex(boolean hasAnnex)

      Parameters:
        `hasAnnex` - the hasAnnex to set

    - #### isHasAnnex

          public final boolean isHasAnnex()

      Returns:
        the hasAnnex

    - #### setHasFreeInformations

          public final void setHasFreeInformations(boolean hasFreeInformations)

      Parameters:
        `hasFreeInformations` - the hasFreeInformations to set

    - #### isHasFreeInformations

          public final boolean isHasFreeInformations()

      Returns:
        the hasFreeInformations

    - #### getCustomMetas

          public final Map<String,String> getCustomMetas()

      Returns:
        the metas

    - #### setExpirationDate

          @Deprecated
          public final void setExpirationDate(Date expirationDate)

      Deprecated.
      Parameters:
        `expirationDate` - the expirationDate to set

    - #### setExpirationDateTime

          public final void setExpirationDateTime(org.joda.time.DateTime expirationDate)

      Parameters:
        `expirationDate` - the expirationDate to set

    - #### getExpirationDate

          @Deprecated
          public final Date getExpirationDate()

      Deprecated.
      Returns:
        the expirationDate

    - #### getExpirationDateTime

          public final org.joda.time.DateTime getExpirationDateTime()

      Returns:
        the expiration DateTime

    - #### setPublicationDateTime

          public final void setPublicationDateTime(org.joda.time.DateTime publicationDate)

      Parameters:
        `publicationDate` - the publicationDate to set

    - #### getPublicationDateTime

          public final org.joda.time.DateTime getPublicationDateTime()

      Returns:
        the publicationDate

    - #### setPublicationDate

          @Deprecated
          public final void setPublicationDate(Date publicationDate)

      Deprecated.
      Parameters:
        `publicationDate` - the publicationDate to set

    - #### getPublicationDate

          @Deprecated
          public final Date getPublicationDate()

      Deprecated.
      Returns:
        the publicationDate

    - #### setSize

          public void setSize(String size)

      Parameters:
        `size` - the size to set

    - #### getSize

          public String getSize()

      Returns:
        the size

    - #### isUsePublicationReceipt

          public boolean isUsePublicationReceipt()

      Returns:
        the usePublicationReceipt

    - #### setUsePublicationReceipt

          public void setUsePublicationReceipt(boolean usePublicationReceipt)

      Parameters:
        `usePublicationReceipt` - the usePublicationReceipt to set

    - #### isUseReceivedReceipt

          public boolean isUseReceivedReceipt()

      Returns:
        the useReceivedReceipt

    - #### setUseReceivedReceipt

          public void setUseReceivedReceipt(boolean useReceivedReceipt)

      Parameters:
        `useReceivedReceipt` - the useReceivedReceipt to set

    - #### isUseReadReceipt

          public boolean isUseReadReceipt()

      Returns:
        the useReadReceipt

    - #### setUseReadReceipt

          public void setUseReadReceipt(boolean useReadReceipt)

      Parameters:
        `useReadReceipt` - the useReadReceipt to set

Connector Packaging generic 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.